#lang racket

(require "universe-communication.rkt")

(define (print-msg n msg)
  (display (format "Message for ~a: ~a\n" n msg))
  (newline))

(begin
  (define-values (outX threadX) (register-with-host 'X "localhost" (curry print-msg 'X)))
  (define-values (outO threadO) (register-with-host 'O "localhost" (curry print-msg 'O)))
  
  (tcp-send outX '(set 4))
  (sleep PAUSE)
  (tcp-send outO '(set 0))
  (sleep PAUSE)
  
  (tcp-send outX '(set 1))
  (sleep PAUSE)
  (tcp-send outO '(set 7))
  (sleep PAUSE)
  
  (tcp-send outX '(set 5))
  (sleep PAUSE)
  (tcp-send outO '(set 3))
  (sleep PAUSE)
  
  (tcp-send outX '(set 6))
  (sleep PAUSE)
  (tcp-send outO '(set 2))
  (sleep PAUSE)
  
  (tcp-send outX '(set 8))
  (sleep PAUSE)
)
